GNU bug report logs - #42433
28.0.50; browse-url-of-file doesn't work on images

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Lars Ingebrigtsen <larsi@HIDDEN>; merged with #42431; dated Sun, 19 Jul 2020 20:00:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 42431 42433. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 42433 <at> debbugs.gnu.org:


Received: (at 42433) by debbugs.gnu.org; 17 Oct 2020 09:33:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 17 05:33:40 2020
Received: from localhost ([127.0.0.1]:33343 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kTiap-0008K8-OI
	for submit <at> debbugs.gnu.org; Sat, 17 Oct 2020 05:33:39 -0400
Received: from quimby.gnus.org ([95.216.78.240]:37850)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kTian-0008Js-WB
 for 42433 <at> debbugs.gnu.org; Sat, 17 Oct 2020 05:33:38 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:To:From:Sender:Reply-To:Cc:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=RDLuYwjXwBQF8PmDRSf0DMSFDY4Zu4oKNWfcgNt1j7o=; b=j5epaagDQy6ibnTgf9IqMWqDmh
 0y7jT9qqYwjJDLpQZVpkcfPoefQsJJt/WjY4zxNZBzR3WSlvt0Gj3VuUp/EIYDrlY15KwpR50AOtL
 MdcIgHX/WzjfZ+PeU25J7Q7cx19Qfc+ZD47rKZAfxy5b+07YVAJ/d1QVP+djZmlnXbHk=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>) id 1kTiaf-00021P-AS
 for 42433 <at> debbugs.gnu.org; Sat, 17 Oct 2020 11:33:32 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: 42433 <at> debbugs.gnu.org
Subject: Re: bug#42433: 28.0.50; browse-url-of-file doesn't work on images
References: <878sffl1hv.fsf@HIDDEN>
X-Now-Playing: Machinedrum's _Vapor City Citizenship Programme_: "Vapor City
 - Vizion Centre Mix"
Date: Sat, 17 Oct 2020 11:33:28 +0200
In-Reply-To: <878sffl1hv.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sun,
 19 Jul 2020 21:59:40 +0200")
Message-ID: <875z79urh3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Lars Ingebrigtsen <larsi@HIDDEN> writes: >
 (browse-url-of-file
 "/home/larsi/rms.jpg") > > first messages > > File exists, but cannot be
 read > > (noted in previous bug report) and then > > Type C-c C-c or C-c C-x
 to view the image as an imag [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42433
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> (browse-url-of-file "/home/larsi/rms.jpg")
>
> first messages
>
> File exists, but cannot be read
>
> (noted in previous bug report) and then
>
> Type C-c C-c or C-c C-x to view the image as an image or hex.
> Cannot display image: ( *mm*-570003 1 8193)
>
> And then the image is displayed as binary data.

This is the same bug as bug#42431 -- removing the spurious "Success"
error signal also makes this work again.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42433; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 19 Jul 2020 19:59:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 19 15:59:50 2020
Received: from localhost ([127.0.0.1]:33107 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jxFTR-0003pT-Sh
	for submit <at> debbugs.gnu.org; Sun, 19 Jul 2020 15:59:50 -0400
Received: from lists.gnu.org ([209.51.188.17]:52746)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1jxFTQ-0003pK-6r
 for submit <at> debbugs.gnu.org; Sun, 19 Jul 2020 15:59:48 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:39020)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <larsi@HIDDEN>) id 1jxFTP-0001cW-UF
 for bug-gnu-emacs@HIDDEN; Sun, 19 Jul 2020 15:59:47 -0400
Received: from quimby.gnus.org ([2a01:4f9:2b:f0f::2]:54848)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <larsi@HIDDEN>) id 1jxFTO-0001j8-Dq
 for bug-gnu-emacs@HIDDEN; Sun, 19 Jul 2020 15:59:47 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:Subject:To:From:
 Sender:Reply-To:Cc:Content-Transfer-Encoding:Content-ID:Content-Description:
 Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc:Resent-Message-ID:
 In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=qBh7JYp6RNC8xEx4IffAiocXcpvGgE+sjkO8gFx2U7g=; b=rXIlWpHtaLZMCE7M59bS49Nykz
 mNvIk0VpnL1TSv030zcSyiayacySxSbuvC9UcQCMQwmZa07dNi9NgCosBAmE42IkIhqp6qhYPFIu9
 Sob0E6GA8qleEHgknj1+dKf/w0f5dbhY9HHIYJZuNb5U0e4qUBIsCgjJpygjPTfn5R/g=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>) id 1jxFTJ-0004Kl-SL
 for bug-gnu-emacs@HIDDEN; Sun, 19 Jul 2020 21:59:44 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; browse-url-of-file doesn't work on images
Date: Sun, 19 Jul 2020 21:59:40 +0200
Message-ID: <878sffl1hv.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  (browse-url-of-file "/home/larsi/rms.jpg") first messages
 File exists, but cannot be read 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
Received-SPF: pass client-ip=2a01:4f9:2b:f0f::2; envelope-from=larsi@HIDDEN;
 helo=quimby.gnus.org
X-detected-operating-system: by eggs.gnu.org: No matching host in p0f cache.
 That's all we know.
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001, URIBL_BLOCKED=0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


(browse-url-of-file "/home/larsi/rms.jpg")

first messages

File exists, but cannot be read

(noted in previous bug report) and then

Type C-c C-c or C-c C-x to view the image as an image or hex.
Cannot display image: ( *mm*-570003 1 8193)

And then the image is displayed as binary data.


In GNU Emacs 28.0.50 (build 8, x86_64-pc-linux-gnu, GTK+ Version 3.24.20, cairo version 1.16.0)
 of 2020-07-19 built on xo
Repository revision: 17f646128f04e9e8590f0371026a14d516f21c63
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12008000
System Description: Debian GNU/Linux bullseye/sid

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no





Acknowledgement sent to Lars Ingebrigtsen <larsi@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#42433; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 17 Oct 2020 09:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.